{%MainUnit umain.pas}


lblMode.Hint :=
  'Mode: This is a three-bit integer indicating the mode, with values' + sLineBreak +
  'defined as follows:' + sLineBreak +
  '' + sLineBreak +
  'Mode     Meaning' + sLineBreak +
  '------------------------------------' + sLineBreak +
  '0        reserved' + sLineBreak +
  '1        symmetric active' + sLineBreak +
  '2        symmetric passive' + sLineBreak +
  '3        client' + sLineBreak +
  '4        server' + sLineBreak +
  '5        broadcast' + sLineBreak +
  '6        reserved for NTP control message' + sLineBreak +
  '7        reserved for private use' + sLineBreak;

lblStratum.Hint :=
'Stratum: This is a eight-bit unsigned integer indicating the stratum' + sLineBreak +
'level of the local clock, with values defined as follows:' + sLineBreak +
'' + sLineBreak +
'Stratum  Meaning' + sLineBreak +
'----------------------------------------------' + sLineBreak +
'0        unspecified or unavailable' + sLineBreak +
'1        primary reference (e.g., radio clock)' + sLineBreak +
'2-15     secondary reference (via NTP or SNTP)' + sLineBreak +
'16-255   reserved';

lblPoll.Hint :=
'Poll Interval: This is an eight-bit signed integer indicating the' + sLineBreak +
'maximum interval between successive messages, in seconds to the' + sLineBreak +
'nearest power of two. The values that can appear in this field' + sLineBreak +
'presently range from 4 (16 s) to 14 (16284 s); however, most' + sLineBreak +
'applications use only the sub-range 6 (64 s) to 10 (1024 s).';

lblPrecision.Hint :=
'Precision: This is an eight-bit signed integer indicating the' + sLineBreak +
'precision of the local clock, in seconds to the nearest power of two.' + sLineBreak +
'The values that normally appear in this field range from -6 for' + sLineBreak +
'mains-frequency clocks to -20 for microsecond clocks found in some' + sLineBreak +
'workstations.';

lblRootDelay.Hint :=
'Root Delay: This is a 32-bit signed fixed-point number indicating the' + sLineBreak +
'total roundtrip delay to the primary reference source, in seconds' + sLineBreak +
'with fraction point between bits 15 and 16. Note that this variable' + sLineBreak +
'can take on both positive and negative values, depending on the' + sLineBreak +
'relative time and frequency offsets. The values that normally appear' + sLineBreak +
'in this field range from negative values of a few milliseconds to' + sLineBreak +
'positive values of several hundred milliseconds.';

lblRootDispersion.Hint :=
'Root Dispersion: This is a 32-bit unsigned fixed-point number' + sLineBreak +
'indicating the nominal error relative to the primary reference' + sLineBreak +
'source, in seconds with fraction point between bits 15 and 16. The' + sLineBreak +
'values that normally appear in this field range from 0 to several' + sLineBreak +
'hundred milliseconds.';

lblRefID.Hint :=
'Reference Identifier: This is a 32-bit bitstring identifying the' + sLineBreak +
'particular reference source. In the case of NTP Version 3 or Version' + sLineBreak +
'4 stratum-0 (unspecified) or stratum-1 (primary) servers, this is a' + sLineBreak +
'four-character ASCII string, left justified and zero padded to 32' + sLineBreak +
'bits. In NTP Version 3 secondary servers, this is the 32-bit IPv4' + sLineBreak +
'address of the reference source. In NTP Version 4 secondary servers,' + sLineBreak +
'this is the low order 32 bits of the latest transmit timestamp of the' + sLineBreak +
'reference source. NTP primary (stratum 1) servers should set this' + sLineBreak +
'field to a code identifying the external reference source according' + sLineBreak +
'to the following list. If the external reference is one of those' + sLineBreak +
'listed, the associated code should be used. Codes for sources not' + sLineBreak +
'listed can be contrived as appropriate.' + sLineBreak +
'' + sLineBreak +
'  Code     External Reference Source' + sLineBreak +
'  ----------------------------------------------------------------' + sLineBreak +
'  LOCL     uncalibrated local clock used as a primary reference for' + sLineBreak +
'           a subnet without external means of synchronization' + sLineBreak +
'  PPS      atomic clock or other pulse-per-second source' + sLineBreak +
'           individually calibrated to national standards' + sLineBreak +
'  ACTS     NIST dialup modem service' + sLineBreak +
'  USNO     USNO modem service' + sLineBreak +
'  PTB      PTB (Germany) modem service' + sLineBreak +
'  TDF      Allouis (France) Radio 164 kHz' + sLineBreak +
'  DCF      Mainflingen (Germany) Radio 77.5 kHz' + sLineBreak +
'  MSF      Rugby (UK) Radio 60 kHz' + sLineBreak +
'  WWV      Ft. Collins (US) Radio 2.5, 5, 10, 15, 20 MHz' + sLineBreak +
'  WWVB     Boulder (US) Radio 60 kHz' + sLineBreak +
'  WWVH     Kaui Hawaii (US) Radio 2.5, 5, 10, 15 MHz' + sLineBreak +
'  CHU      Ottawa (Canada) Radio 3330, 7335, 14670 kHz' + sLineBreak +
'  LORC     LORAN-C radionavigation system' + sLineBreak +
'  OMEG     OMEGA radionavigation system' + sLineBreak +
'  GPS      Global Positioning Service' + sLineBreak +
'  GOES     Geostationary Orbit Environment Satellite';

lblRef1.Hint :=
'Reference Timestamp: This is the time at which the local clock was' + sLineBreak +
'last set or corrected, in 64-bit timestamp format.';

lblRef2.Hint :=
'';

lblOrg1.Hint :=
'Originate Timestamp: This is the time at which the request departed' + sLineBreak +
'the client for the server, in 64-bit timestamp format.';

lblOrg2.Hint :=
'';

lblRcv1.Hint :=
'Receive Timestamp: This is the time at which the request arrived at' + sLineBreak +
'the server, in 64-bit timestamp format.';

lblRcv2.Hint :=
'';

lblXmit1.Hint :=
'Transmit Timestamp: This is the time at which the reply departed the' + sLineBreak +
'server for the client, in 64-bit timestamp format.';

lblXmit2.Hint :=
'';
